3 # From configure.in configure.in 1.00
4 # Guess values for system-dependent variables and create Makefiles.
5 # Generated automatically using autoconf version 2.4
6 # Copyright (C) 1992, 1993, 1994 Free Software Foundation, Inc.
8 # This configure script is free software; the Free Software Foundation
9 # gives unlimited permission to copy, distribute and modify it.
13 ac_default_prefix=/usr/local
14 # Any additions from configure.in:
16 --with-language=LANG change the default language (LANG=En/De/No)"
18 --with-ipc use inter-process communication for DDE"
20 --with-malloc-debug enable malloc() debugging"
22 --with-x use the X Window System"
24 # Initialize some variables set by options.
25 # The variables have the same names as the options, with
26 # dashes changed to underlines.
28 cache_file=./config.cache
37 program_transform_name=s,x,x,
46 # Initialize some other variables.
53 # If the previous option needs an argument, assign it.
54 if test -n "$ac_prev"; then
55 eval "$ac_prev=\$ac_option"
61 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
65 # Accept the important Cygnus configure options, so we can diagnose typos.
69 -build | --build | --buil | --bui | --bu | --b)
71 -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
74 -cache-file | --cache-file | --cache-fil | --cache-fi \
75 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
77 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
78 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
79 cache_file="$ac_optarg" ;;
81 -disable-* | --disable-*)
82 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
83 # Reject names that are not valid shell variable names.
84 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
85 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
87 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
88 eval "enable_${ac_feature}=no" ;;
90 -enable-* | --enable-*)
91 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
92 # Reject names that are not valid shell variable names.
93 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
94 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
96 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
101 eval "enable_${ac_feature}='$ac_optarg'" ;;
103 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
104 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
105 | --exec | --exe | --ex)
106 ac_prev=exec_prefix ;;
107 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
108 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
109 | --exec=* | --exe=* | --ex=*)
110 exec_prefix="$ac_optarg" ;;
112 -gas | --gas | --ga | --g)
113 # Obsolete; use --with-gas.
116 -help | --help | --hel | --he)
117 # Omit some internal or obsolete options to make the list less imposing.
118 # This message is too long to be a string in the A/UX 3.1 sh.
120 Usage: configure [options] [host]
121 Options: [defaults in brackets after descriptions]
123 --cache-file=FILE cache test results in FILE
124 --help print this message
125 --no-create do not create output files
126 --quiet, --silent do not print \`checking...' messages
127 --version print the version of autoconf that created configure
128 Directory and file names:
129 --prefix=PREFIX install architecture-independent files in PREFIX
131 --exec-prefix=PREFIX install architecture-dependent files in PREFIX
133 --srcdir=DIR find the sources in DIR [configure dir or ..]
134 --program-prefix=PREFIX prepend PREFIX to installed program names
135 --program-suffix=SUFFIX append SUFFIX to installed program names
136 --program-transform-name=PROGRAM run sed PROGRAM on installed program names
138 --build=BUILD configure for building on BUILD [BUILD=HOST]
139 --host=HOST configure for HOST [guessed]
140 --target=TARGET configure for TARGET [TARGET=HOST]
141 Features and packages:
142 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
143 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
144 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
145 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
146 --x-includes=DIR X include files are in DIR
147 --x-libraries=DIR X library files are in DIR
148 --enable and --with options recognized:$ac_help
152 -host | --host | --hos | --ho)
154 -host=* | --host=* | --hos=* | --ho=*)
158 # Obsolete; use --without-fp.
161 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
165 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
166 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
169 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
171 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
172 prefix="$ac_optarg" ;;
174 -program-prefix | --program-prefix | --program-prefi | --program-pref \
175 | --program-pre | --program-pr | --program-p)
176 ac_prev=program_prefix ;;
177 -program-prefix=* | --program-prefix=* | --program-prefi=* \
178 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
179 program_prefix="$ac_optarg" ;;
181 -program-suffix | --program-suffix | --program-suffi | --program-suff \
182 | --program-suf | --program-su | --program-s)
183 ac_prev=program_suffix ;;
184 -program-suffix=* | --program-suffix=* | --program-suffi=* \
185 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
186 program_suffix="$ac_optarg" ;;
188 -program-transform-name | --program-transform-name \
189 | --program-transform-nam | --program-transform-na \
190 | --program-transform-n | --program-transform- \
191 | --program-transform | --program-transfor \
192 | --program-transfo | --program-transf \
193 | --program-trans | --program-tran \
194 | --progr-tra | --program-tr | --program-t)
195 ac_prev=program_transform_name ;;
196 -program-transform-name=* | --program-transform-name=* \
197 | --program-transform-nam=* | --program-transform-na=* \
198 | --program-transform-n=* | --program-transform-=* \
199 | --program-transform=* | --program-transfor=* \
200 | --program-transfo=* | --program-transf=* \
201 | --program-trans=* | --program-tran=* \
202 | --progr-tra=* | --program-tr=* | --program-t=*)
203 program_transform_name="$ac_optarg" ;;
205 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
206 | -silent | --silent | --silen | --sile | --sil)
209 -site | --site | --sit)
211 -site=* | --site=* | --sit=*)
214 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
216 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
217 srcdir="$ac_optarg" ;;
219 -target | --target | --targe | --targ | --tar | --ta | --t)
221 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
222 target="$ac_optarg" ;;
224 -v | -verbose | --verbose | --verbos | --verbo | --verb)
227 -version | --version | --versio | --versi | --vers)
228 echo "configure generated by autoconf version 2.4"
232 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
233 # Reject names that are not valid shell variable names.
234 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
235 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
237 ac_package=`echo $ac_package| sed 's/-/_/g'`
242 eval "with_${ac_package}='$ac_optarg'" ;;
244 -without-* | --without-*)
245 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
246 # Reject names that are not valid shell variable names.
247 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
248 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
250 ac_package=`echo $ac_package| sed 's/-/_/g'`
251 eval "with_${ac_package}=no" ;;
254 # Obsolete; use --with-x.
257 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
258 | --x-incl | --x-inc | --x-in | --x-i)
259 ac_prev=x_includes ;;
260 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
261 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
262 x_includes="$ac_optarg" ;;
264 -x-libraries | --x-libraries | --x-librarie | --x-librari \
265 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
266 ac_prev=x_libraries ;;
267 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
268 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
269 x_libraries="$ac_optarg" ;;
271 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
275 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
276 echo "configure: warning: $ac_option: invalid host type" 1>&2
278 if test "x$nonopt" != xNONE; then
279 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
287 if test -n "$ac_prev"; then
288 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
291 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
293 # File descriptor usage:
296 # 2 errors and warnings
297 # 3 some systems may open it to /dev/tty
298 # 4 used on the Kubota Titan
299 # 6 checking for... messages and results
300 # 5 compiler messages saved in config.log
301 if test "$silent" = yes; then
309 This file contains any messages produced by compilers while
310 running configure, to aid debugging if configure makes a mistake.
313 # Strip out --no-create and --no-recursion so they do not pile up.
314 # Also quote any args containing shell metacharacters.
319 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
320 | --no-cr | --no-c) ;;
321 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
322 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
323 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
324 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
325 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
330 # Only set LANG and LC_ALL to C if already set.
331 # These must not be set unconditionally because not all systems understand
332 # e.g. LANG=C (notably SCO).
333 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
334 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
336 # confdefs.h avoids OS command line length limits that DEFS can exceed.
337 rm -rf conftest* confdefs.h
338 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
341 # A filename unique to this package, relative to the directory that
342 # configure is in, which we can look for to find out if srcdir is correct.
343 ac_unique_file=controls/edit.c
345 # Find the source files, if location was not specified.
346 if test -z "$srcdir"; then
347 ac_srcdir_defaulted=yes
348 # Try the directory containing this script, then its parent.
350 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
351 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
353 if test ! -r $srcdir/$ac_unique_file; then
357 ac_srcdir_defaulted=no
359 if test ! -r $srcdir/$ac_unique_file; then
360 if test "$ac_srcdir_defaulted" = yes; then
361 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
363 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
366 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
368 # Prefer explicitly selected file to automatically selected ones.
369 if test -z "$CONFIG_SITE"; then
370 if test "x$prefix" != xNONE; then
371 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
373 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
376 for ac_site_file in $CONFIG_SITE; do
377 if test -r "$ac_site_file"; then
378 echo "loading site script $ac_site_file"
383 if test -r "$cache_file"; then
384 echo "loading cache $cache_file"
387 echo "creating cache $cache_file"
392 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
393 ac_cpp='$CPP $CPPFLAGS'
394 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5 2>&5'
395 ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5 2>&5'
397 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
398 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
399 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
406 ac_n= ac_c='\c' ac_t=
411 # We want these before the checks, so the checks can modify their values.
412 test -z "$CFLAGS" && CFLAGS="-g -O2 -Wall"
413 test -z "$LDFLAGS" && LDFLAGS=-g
415 # Check whether --with-language or --without-language was given.
416 withval="$with_language"
417 if test -n "$withval"; then
418 LANG="-ALANG\($withval\)"
424 # Check whether --with-ipc or --without-ipc was given.
426 if test -n "$withval"; then
427 cat >> confdefs.h <<\EOF
433 # Check whether --with-malloc-debug or --without-malloc-debug was given.
434 withval="$with_malloc_debug"
435 if test -n "$withval"; then
436 cat >> confdefs.h <<\EOF
437 #define MALLOC_DEBUGGING 1
443 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
444 set dummy ${MAKE-make}; ac_make=$2
445 if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
446 echo $ac_n "(cached) $ac_c" 1>&6
448 cat > conftestmake <<\EOF
450 @echo 'ac_maketemp="${MAKE}"'
452 # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
453 eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
454 if test -n "$ac_maketemp"; then
455 eval ac_cv_prog_make_${ac_make}_set=yes
457 eval ac_cv_prog_make_${ac_make}_set=no
461 if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
462 echo "$ac_t""yes" 1>&6
465 echo "$ac_t""no" 1>&6
466 SET_MAKE="MAKE=${MAKE-make}"
469 # Extract the first word of "gcc", so it can be a program name with args.
470 set dummy gcc; ac_word=$2
471 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
472 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
473 echo $ac_n "(cached) $ac_c" 1>&6
475 if test -n "$CC"; then
476 ac_cv_prog_CC="$CC" # Let the user override the test.
478 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
479 for ac_dir in $PATH; do
480 test -z "$ac_dir" && ac_dir=.
481 if test -f $ac_dir/$ac_word; then
487 test -z "$ac_cv_prog_CC" && ac_cv_prog_CC="cc"
491 if test -n "$CC"; then
492 echo "$ac_t""$CC" 1>&6
494 echo "$ac_t""no" 1>&6
498 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
499 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
500 echo $ac_n "(cached) $ac_c" 1>&6
502 cat > conftest.c <<EOF
507 if ${CC-cc} -E conftest.c 2>&5 | egrep yes >/dev/null 2>&1; then
513 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
514 if test $ac_cv_prog_gcc = yes; then
516 if test "${CFLAGS+set}" != set; then
517 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
518 if eval "test \"`echo '$''{'ac_cv_prog_gcc_g'+set}'`\" = set"; then
519 echo $ac_n "(cached) $ac_c" 1>&6
521 echo 'void f(){}' > conftest.c
522 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
530 echo "$ac_t""$ac_cv_prog_gcc_g" 1>&6
531 if test $ac_cv_prog_gcc_g = yes; then
539 test "${CFLAGS+set}" = set || CFLAGS="-g"
542 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
543 # On Suns, sometimes $CPP names a directory.
544 if test -n "$CPP" && test -d "$CPP"; then
547 if test -z "$CPP"; then
548 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
549 echo $ac_n "(cached) $ac_c" 1>&6
551 # This must be in double quotes, not single quotes, because CPP may get
552 # substituted into the Makefile and "${CC-cc}" will confuse make.
554 # On the NeXT, cc -E runs the code through the compiler's parser,
555 # not just through cpp.
556 cat > conftest.$ac_ext <<EOF
557 #line 558 "configure"
558 #include "confdefs.h"
562 eval "$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
563 ac_err=`grep -v '^ *+' conftest.out`
564 if test -z "$ac_err"; then
569 CPP="${CC-cc} -E -traditional-cpp"
570 cat > conftest.$ac_ext <<EOF
571 #line 572 "configure"
572 #include "confdefs.h"
576 eval "$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
577 ac_err=`grep -v '^ *+' conftest.out`
578 if test -z "$ac_err"; then
588 ac_cv_prog_CPP="$CPP"
590 CPP="$ac_cv_prog_CPP"
592 ac_cv_prog_CPP="$CPP"
594 echo "$ac_t""$CPP" 1>&6
596 # If we find X, set shell vars x_includes and x_libraries to the
597 # paths, otherwise set no_x=yes.
598 # Uses ac_ vars as temps to allow command line to override cache and checks.
599 # --without-x overrides everything else, but does not touch the cache.
600 echo $ac_n "checking for X""... $ac_c" 1>&6
602 # Check whether --with-x or --without-x was given.
604 if test -n "$withval"; then
608 if test "x$with_x" = xno; then
611 if test "x$x_includes" != xNONE && test "x$x_libraries" != xNONE; then
614 if eval "test \"`echo '$''{'ac_cv_path_x'+set}'`\" = set"; then
615 echo $ac_n "(cached) $ac_c" 1>&6
617 # One or both of the vars are not set, and there is no cached value.
620 if mkdir conftestdir; then
622 # Make sure to not put "make" in the Imakefile rules, since we grep it out.
623 cat > Imakefile <<'EOF'
625 @echo 'ac_im_incroot="${INCROOT}"; ac_im_usrlibdir="${USRLIBDIR}"; ac_im_libdir="${LIBDIR}"'
627 if (xmkmf) >/dev/null 2>/dev/null && test -f Makefile; then
629 # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
630 eval `make acfindx 2>/dev/null | grep -v make`
631 # Open Windows xmkmf reportedly sets LIBDIR instead of USRLIBDIR.
632 for ac_extension in a so sl; do
633 if test ! -f $ac_im_usrlibdir/libX11.$ac_extension &&
634 test -f $ac_im_libdir/libX11.$ac_extension; then
635 ac_im_usrlibdir=$ac_im_libdir; break
638 # Screen out bogus values from the imake configuration.
639 case "$ac_im_incroot" in
641 *) test -f "$ac_im_incroot/X11/Xos.h" && ac_x_includes="$ac_im_incroot" ;;
643 case "$ac_im_usrlibdir" in
645 *) test -d "$ac_im_usrlibdir" && ac_x_libraries="$ac_im_usrlibdir" ;;
652 if test "$no_x" = yes; then
653 test -z "$x_direct_test_library" && x_direct_test_library=Xt
654 test -z "$x_direct_test_function" && x_direct_test_function=XtMalloc
655 test -z "$x_direct_test_include" && x_direct_test_include=X11/Intrinsic.h
656 cat > conftest.$ac_ext <<EOF
657 #line 658 "configure"
658 #include "confdefs.h"
659 #include <$x_direct_test_include>
661 eval "$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
662 ac_err=`grep -v '^ *+' conftest.out`
663 if test -z "$ac_err"; then
678 /usr/local/X11R6/include \
679 /usr/local/X11R5/include \
680 /usr/local/X11R4/include \
682 /usr/local/include/X11R6 \
683 /usr/local/include/X11R5 \
684 /usr/local/include/X11R4 \
688 /usr/local/X11/include \
689 /usr/local/include/X11 \
693 /usr/XFree86/include/X11 \
697 /usr/unsupported/include \
698 /usr/athena/include \
699 /usr/local/x11r5/include \
700 /usr/lpp/Xamples/include \
702 /usr/openwin/include \
703 /usr/openwin/share/include \
706 if test -r "$ac_dir/$x_direct_test_include"; then
707 no_x= ac_x_includes=$ac_dir
714 # Check for the libraries.
715 # See if we find them without any special options.
716 # Don't add to $LIBS permanently.
718 LIBS="-l$x_direct_test_library $LIBS"
719 cat > conftest.$ac_ext <<EOF
720 #line 721 "configure"
721 #include "confdefs.h"
723 int main() { return 0; }
725 ${x_direct_test_function}()
728 if eval $ac_link; then
730 LIBS="$ac_save_LIBS" no_x= ac_x_libraries=
734 # First see if replacing the include by lib works.
735 for ac_dir in `echo "$ac_x_includes" | sed s/include/lib/` \
744 /usr/local/X11R6/lib \
745 /usr/local/X11R5/lib \
746 /usr/local/X11R4/lib \
748 /usr/local/lib/X11R6 \
749 /usr/local/lib/X11R5 \
750 /usr/local/lib/X11R4 \
759 /usr/XFree86/lib/X11 \
763 /usr/unsupported/lib \
765 /usr/local/x11r5/lib \
766 /usr/lpp/Xamples/lib \
769 /usr/openwin/share/lib \
772 for ac_extension in a so sl; do
773 if test -r $ac_dir/lib${x_direct_test_library}.$ac_extension; then
774 no_x= ac_x_libraries=$ac_dir
783 if test "$no_x" = yes; then
784 ac_cv_path_x="no_x=yes"
786 ac_cv_path_x="no_x= ac_x_includes=$ac_x_includes ac_x_libraries=$ac_x_libraries"
793 if test "$no_x" = yes; then
794 echo "$ac_t""no" 1>&6
796 test "x$x_includes" = xNONE && x_includes=$ac_x_includes
797 test "x$x_libraries" = xNONE && x_libraries=$ac_x_libraries
798 ac_cv_path_x="no_x= ac_x_includes=$x_includes ac_x_libraries=$x_libraries"
799 echo "$ac_t""libraries $x_libraries, headers $x_includes" 1>&6
802 for ac_prog in 'bison -y' byacc
804 # Extract the first word of "$ac_prog", so it can be a program name with args.
805 set dummy $ac_prog; ac_word=$2
806 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
807 if eval "test \"`echo '$''{'ac_cv_prog_YACC'+set}'`\" = set"; then
808 echo $ac_n "(cached) $ac_c" 1>&6
810 if test -n "$YACC"; then
811 ac_cv_prog_YACC="$YACC" # Let the user override the test.
813 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
814 for ac_dir in $PATH; do
815 test -z "$ac_dir" && ac_dir=.
816 if test -f $ac_dir/$ac_word; then
817 ac_cv_prog_YACC="$ac_prog"
824 YACC="$ac_cv_prog_YACC"
825 if test -n "$YACC"; then
826 echo "$ac_t""$YACC" 1>&6
828 echo "$ac_t""no" 1>&6
831 test -n "$YACC" && break
833 test -n "$YACC" || YACC="yacc"
835 # Extract the first word of "flex", so it can be a program name with args.
836 set dummy flex; ac_word=$2
837 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
838 if eval "test \"`echo '$''{'ac_cv_prog_LEX'+set}'`\" = set"; then
839 echo $ac_n "(cached) $ac_c" 1>&6
841 if test -n "$LEX"; then
842 ac_cv_prog_LEX="$LEX" # Let the user override the test.
844 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
845 for ac_dir in $PATH; do
846 test -z "$ac_dir" && ac_dir=.
847 if test -f $ac_dir/$ac_word; then
848 ac_cv_prog_LEX="flex"
853 test -z "$ac_cv_prog_LEX" && ac_cv_prog_LEX="lex"
856 LEX="$ac_cv_prog_LEX"
857 if test -n "$LEX"; then
858 echo "$ac_t""$LEX" 1>&6
860 echo "$ac_t""no" 1>&6
869 echo $ac_n "checking for -l$ac_lib""... $ac_c" 1>&6
870 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib'+set}'`\" = set"; then
871 echo $ac_n "(cached) $ac_c" 1>&6
874 LIBS="-l$ac_lib $LIBS"
875 cat > conftest.$ac_ext <<EOF
876 #line 877 "configure"
877 #include "confdefs.h"
879 int main() { return 0; }
884 if eval $ac_link; then
886 eval "ac_cv_lib_$ac_lib=yes"
889 eval "ac_cv_lib_$ac_lib=no"
895 if eval "test \"`echo '$ac_cv_lib_'$ac_lib`\" = yes"; then
896 echo "$ac_t""yes" 1>&6
899 echo "$ac_t""no" 1>&6
904 if test -n "$x_includes" ; then
905 x_includes="-I$x_includes"
907 if test -n "$x_no" ; then
920 for ac_func in tcgetattr
922 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
923 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
924 echo $ac_n "(cached) $ac_c" 1>&6
926 cat > conftest.$ac_ext <<EOF
927 #line 928 "configure"
928 #include "confdefs.h"
929 /* System header to define __stub macros and hopefully few prototypes,
930 which can conflict with char $ac_func(); below. */
932 /* Override any gcc2 internal prototype to avoid an error. */
935 int main() { return 0; }
938 /* The GNU C library defines this for functions which it implements
939 to always fail with ENOSYS. Some functions are actually named
940 something starting with __ and the normal name is an alias. */
941 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
949 if eval $ac_link; then
951 eval "ac_cv_func_$ac_func=yes"
954 eval "ac_cv_func_$ac_func=no"
959 if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
960 echo "$ac_t""yes" 1>&6
961 ac_tr_func=HAVE_`echo $ac_func | tr '[a-z]' '[A-Z]'`
962 cat >> confdefs.h <<EOF
963 #define $ac_tr_func 1
967 echo "$ac_t""no" 1>&6
971 for ac_hdr in stdlib.h
973 ac_safe=`echo "$ac_hdr" | tr './\055' '___'`
974 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
975 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
976 echo $ac_n "(cached) $ac_c" 1>&6
978 cat > conftest.$ac_ext <<EOF
979 #line 980 "configure"
980 #include "confdefs.h"
983 eval "$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
984 ac_err=`grep -v '^ *+' conftest.out`
985 if test -z "$ac_err"; then
987 eval "ac_cv_header_$ac_safe=yes"
991 eval "ac_cv_header_$ac_safe=no"
995 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
996 echo "$ac_t""yes" 1>&6
997 ac_tr_hdr=HAVE_`echo $ac_hdr | tr '[a-z]./\055' '[A-Z]___'`
998 cat >> confdefs.h <<EOF
1003 echo "$ac_t""no" 1>&6
1007 echo $ac_n "checking whether stat file-mode macros are broken""... $ac_c" 1>&6
1008 if eval "test \"`echo '$''{'ac_cv_header_stat_broken'+set}'`\" = set"; then
1009 echo $ac_n "(cached) $ac_c" 1>&6
1011 cat > conftest.$ac_ext <<EOF
1012 #line 1013 "configure"
1013 #include "confdefs.h"
1014 #include <sys/types.h>
1015 #include <sys/stat.h>
1017 #if defined(S_ISBLK) && defined(S_IFDIR)
1018 # if S_ISBLK (S_IFDIR)
1023 #if defined(S_ISBLK) && defined(S_IFCHR)
1024 # if S_ISBLK (S_IFCHR)
1029 #if defined(S_ISLNK) && defined(S_IFREG)
1030 # if S_ISLNK (S_IFREG)
1035 #if defined(S_ISSOCK) && defined(S_IFREG)
1036 # if S_ISSOCK (S_IFREG)
1042 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1043 egrep "You lose" >/dev/null 2>&1; then
1045 ac_cv_header_stat_broken=yes
1048 ac_cv_header_stat_broken=no
1053 echo "$ac_t""$ac_cv_header_stat_broken" 1>&6
1054 if test $ac_cv_header_stat_broken = yes; then
1055 cat >> confdefs.h <<\EOF
1056 #define STAT_MACROS_BROKEN 1
1061 echo $ac_n "checking for working const""... $ac_c" 1>&6
1062 if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
1063 echo $ac_n "(cached) $ac_c" 1>&6
1065 cat > conftest.$ac_ext <<EOF
1066 #line 1067 "configure"
1067 #include "confdefs.h"
1069 int main() { return 0; }
1072 /* Ultrix mips cc rejects this. */
1073 typedef int charset[2]; const charset x;
1074 /* SunOS 4.1.1 cc rejects this. */
1075 char const *const *ccp;
1077 /* NEC SVR4.0.2 mips cc rejects this. */
1078 struct point {int x, y;};
1079 static struct point const zero;
1080 /* AIX XL C 1.02.0.0 rejects this.
1081 It does not let you subtract one const X* pointer from another in an arm
1082 of an if-expression whose if-part is not a constant expression */
1083 const char *g = "string";
1084 ccp = &g + (g ? g-g : 0);
1085 /* HPUX 7.0 cc rejects these. */
1088 ccp = (char const *const *) p;
1089 { /* SCO 3.2v4 cc rejects this. */
1091 char const *s = 0 ? (char *) 0 : (char const *) 0;
1095 { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
1097 const int *foo = &x[0];
1100 { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1101 typedef const int *iptr;
1105 { /* AIX XL C 1.02.0.0 rejects this saying
1106 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1107 struct s { int j; const int *ap[3]; };
1108 struct s *b; b->j = 5;
1110 { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1116 if eval $ac_compile; then
1126 echo "$ac_t""$ac_cv_c_const" 1>&6
1127 if test $ac_cv_c_const = no; then
1128 cat >> confdefs.h <<\EOF
1134 # If we cannot run a trivial program, we must be cross compiling.
1135 echo $ac_n "checking whether cross-compiling""... $ac_c" 1>&6
1136 if eval "test \"`echo '$''{'ac_cv_c_cross'+set}'`\" = set"; then
1137 echo $ac_n "(cached) $ac_c" 1>&6
1139 if test "$cross_compiling" = yes; then
1142 cat > conftest.$ac_ext <<EOF
1143 #line 1144 "configure"
1144 #include "confdefs.h"
1148 if test -s conftest && (./conftest; exit) 2>/dev/null; then
1156 cross_compiling=$ac_cv_c_cross
1157 echo "$ac_t""$ac_cv_c_cross" 1>&6
1159 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
1160 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
1161 echo $ac_n "(cached) $ac_c" 1>&6
1163 cat > conftest.$ac_ext <<EOF
1164 #line 1165 "configure"
1165 #include "confdefs.h"
1171 eval "$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1172 ac_err=`grep -v '^ *+' conftest.out`
1173 if test -z "$ac_err"; then
1175 ac_cv_header_stdc=yes
1179 ac_cv_header_stdc=no
1183 if test $ac_cv_header_stdc = yes; then
1184 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
1185 cat > conftest.$ac_ext <<EOF
1186 #line 1187 "configure"
1187 #include "confdefs.h"
1190 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1191 egrep "memchr" >/dev/null 2>&1; then
1195 ac_cv_header_stdc=no
1201 if test $ac_cv_header_stdc = yes; then
1202 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
1203 cat > conftest.$ac_ext <<EOF
1204 #line 1205 "configure"
1205 #include "confdefs.h"
1208 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1209 egrep "free" >/dev/null 2>&1; then
1213 ac_cv_header_stdc=no
1219 if test $ac_cv_header_stdc = yes; then
1220 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
1221 if test "$cross_compiling" = yes; then
1222 ac_cv_header_stdc=no
1224 cat > conftest.$ac_ext <<EOF
1225 #line 1226 "configure"
1226 #include "confdefs.h"
1228 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1229 #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1230 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1231 int main () { int i; for (i = 0; i < 256; i++)
1232 if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1237 if test -s conftest && (./conftest; exit) 2>/dev/null; then
1240 ac_cv_header_stdc=no
1246 echo "$ac_t""$ac_cv_header_stdc" 1>&6
1247 if test $ac_cv_header_stdc = yes; then
1248 cat >> confdefs.h <<\EOF
1249 #define STDC_HEADERS 1
1254 echo $ac_n "checking for size_t""... $ac_c" 1>&6
1255 if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
1256 echo $ac_n "(cached) $ac_c" 1>&6
1258 cat > conftest.$ac_ext <<EOF
1259 #line 1260 "configure"
1260 #include "confdefs.h"
1261 #include <sys/types.h>
1266 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1267 egrep "size_t" >/dev/null 2>&1; then
1269 ac_cv_type_size_t=yes
1272 ac_cv_type_size_t=no
1277 echo "$ac_t""$ac_cv_type_size_t" 1>&6
1278 if test $ac_cv_type_size_t = no; then
1279 cat >> confdefs.h <<\EOF
1280 #define size_t unsigned
1286 if test -z "${top_srcdir}"; then
1289 TOP_SRCDIR="${top_srcdir}"
1292 echo $ac_n "checking for wine.ini in autoconf.h""... $ac_c" 1>&6
1293 if test -f ${TOP_SRCDIR}/autoconf.h; then
1294 if test `grep -c WINE_INI_GLOBAL ${TOP_SRCDIR}/autoconf.h` -ne 0; then
1295 WINE_INI_GLOBAL=`grep WINE_INI_GLOBAL ${TOP_SRCDIR}/autoconf.h | tr ' ' '\n' | tail -1`
1296 echo "$ac_t""${WINE_INI_GLOBAL}" 1>&6
1299 if test -z "${WINE_INI_GLOBAL}"; then
1300 echo "$ac_t""no" 1>&6
1303 if test -z "${WINE_INI_GLOBAL}"; then
1304 echo $ac_n "checking for /usr/local/etc/wine.conf""... $ac_c" 1>&6
1305 if test -f /usr/local/etc/wine.conf; then
1306 echo "$ac_t""yes" 1>&6
1307 WINE_INI_GLOBAL='"/usr/local/etc/wine.conf"'
1309 echo "$ac_t""no" 1>&6
1310 WINE_INI_GLOBAL="\"${TOP_SRCDIR}/wine.ini\""
1316 test -z "$LDFLAGS" && LDFLAGS=-g
1320 cat > confcache <<\EOF
1321 # This file is a shell script that caches the results of configure
1322 # tests run on this system so they can be shared between configure
1323 # scripts and configure runs. It is not useful on other systems.
1324 # If it contains results you don't want to keep, you may remove or edit it.
1326 # By default, configure uses ./config.cache as the cache file,
1327 # creating it if it does not exist already. You can give configure
1328 # the --cache-file=FILE option to use a different cache file; that is
1329 # what configure does when it calls configure scripts in
1330 # subdirectories, so they share the cache.
1331 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1332 # config.status only pays attention to the cache file if you give it the
1333 # --recheck option to rerun configure.
1336 # Ultrix sh set writes to stderr and can't be redirected directly,
1337 # and sets the high bit in the cache file unless we assign to the vars.
1339 sed -n "s/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=\${\1='\2'}/p" \
1341 if cmp -s $cache_file confcache; then
1344 if test -w $cache_file; then
1345 echo "updating cache $cache_file"
1346 cat confcache > $cache_file
1348 echo "not updating unwritable cache $cache_file"
1353 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1355 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1356 # Let make expand exec_prefix.
1357 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1359 # Any assignment to VPATH causes Sun make to only execute
1360 # the first set of double-colon rules, so remove it if not needed.
1361 # If there is a colon in the path, we need to keep it.
1362 if test "x$srcdir" = x.; then
1363 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1366 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1368 # Transform confdefs.h into DEFS.
1369 # Protect against shell expansion while executing Makefile rules.
1370 # Protect against Makefile macro expansion.
1371 cat > conftest.defs <<\EOF
1372 s%#define \([A-Za-z_][A-Za-z0-9_]*\) \(.*\)%-D\1=\2%g
1373 s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
1378 DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1382 # Without the "./", some shells look in PATH for config.status.
1383 : ${CONFIG_STATUS=./config.status}
1385 echo creating $CONFIG_STATUS
1386 rm -f $CONFIG_STATUS
1387 cat > $CONFIG_STATUS <<EOF
1389 # Generated automatically by configure.
1390 # Run this file to recreate the current configuration.
1391 # This directory was configured as follows,
1392 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1394 # $0 $ac_configure_args
1396 # Compiler output produced by configure, useful for debugging
1397 # configure, is in ./config.log if it exists.
1399 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1402 case "\$ac_option" in
1403 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1404 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1405 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1406 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1407 echo "$CONFIG_STATUS generated by autoconf version 2.4"
1409 -help | --help | --hel | --he | --h)
1410 echo "\$ac_cs_usage"; exit 0 ;;
1411 *) echo "\$ac_cs_usage"; exit 1 ;;
1415 ac_given_srcdir=$srcdir
1417 trap 'rm -fr `echo "controls/Makefile ipc/Makefile loader/Makefile memory/Makefile misc/Makefile miscemu/Makefile multimedia/Makefile objects/Makefile windows/Makefile rc/Makefile debugger/Makefile debugger/readline/Makefile tools/Makefile if1632/Makefile Makefile autoconf.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1419 # Protect against being on the right side of a sed subst in config.status.
1420 sed 's/%@/@@/; s/@%/@@/; s/%g$/@g/; /@g$/s/[\\\\&%]/\\\\&/g;
1421 s/@@/%@/; s/@@/@%/; s/@g$/%g/' > conftest.subs <<\CEOF
1424 s%@CFLAGS@%$CFLAGS%g
1425 s%@CPPFLAGS@%$CPPFLAGS%g
1426 s%@CXXFLAGS@%$CXXFLAGS%g
1428 s%@LDFLAGS@%$LDFLAGS%g
1430 s%@exec_prefix@%$exec_prefix%g
1431 s%@prefix@%$prefix%g
1432 s%@program_transform_name@%$program_transform_name%g
1434 s%@SET_MAKE@%$SET_MAKE%g
1439 s%@LEXLIB@%$LEXLIB%g
1440 s%@AXFILES@%$AXFILES%g
1441 s%@x_includes@%$x_includes%g
1442 s%@x_libraries@%$x_libraries%g
1443 s%@LIBOBJS@%$LIBOBJS%g
1445 s%@LDCOMBINEFLAGS@%$LDCOMBINEFLAGS%g
1446 s%@WINE_INI_GLOBAL@%$WINE_INI_GLOBAL%g
1450 cat >> $CONFIG_STATUS <<EOF
1452 CONFIG_FILES=\${CONFIG_FILES-"controls/Makefile ipc/Makefile loader/Makefile memory/Makefile misc/Makefile miscemu/Makefile multimedia/Makefile objects/Makefile windows/Makefile rc/Makefile debugger/Makefile debugger/readline/Makefile tools/Makefile if1632/Makefile Makefile autoconf.h"}
1454 cat >> $CONFIG_STATUS <<\EOF
1455 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1456 # Support "outfile[:infile]", defaulting infile="outfile.in".
1458 *:*) ac_file_in=`echo "$ac_file"|sed 's%.*:%%'`
1459 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1460 *) ac_file_in="${ac_file}.in" ;;
1463 # Adjust relative srcdir, etc. for subdirectories.
1465 # Remove last slash and all that follows it. Not all systems have dirname.
1466 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1467 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1468 # The file is in a subdirectory.
1469 test ! -d "$ac_dir" && mkdir "$ac_dir"
1470 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1471 # A "../" for each directory in $ac_dir_suffix.
1472 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1474 ac_dir_suffix= ac_dots=
1477 case "$ac_given_srcdir" in
1479 if test -z "$ac_dots"; then top_srcdir=.
1480 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1481 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1483 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1484 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1487 echo creating "$ac_file"
1489 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1491 *Makefile*) ac_comsub="1i\\
1492 # $configure_input" ;;
1496 s%@configure_input@%$configure_input%g
1497 s%@srcdir@%$srcdir%g
1498 s%@top_srcdir@%$top_srcdir%g
1499 " -f conftest.subs $ac_given_srcdir/$ac_file_in > $ac_file
1507 chmod +x $CONFIG_STATUS
1508 rm -fr confdefs* $ac_clean_files
1509 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1513 echo "Configure finished. Do 'make depend; make' to compile Wine."